Home / Call flows that operators actually trace / UPDATE before the INVITE completes
UPDATE before the INVITE completes
UPDATE can change the session while the initial INVITE is still outstanding, and it does not use the ACK rules.
Learn in 5 minutes
- Send UPDATE only when no offer is outstanding
- Treat UPDATE as a non-INVITE transaction
- Keep dialog identifiers stable across the session change
Visual
The INVITE offer is answered in the 183. UPDATE is the next offer. The INVITE is still open.
Worked example
Negotiate the second offer The UPDATE offer adds a port change and still lists PCMU and PCMA. The answer keeps PCMU.
- Compare the m= lines.
- See which payload the answer kept.
- Note telephone-event on both sides.
Fault
The INVITE contains SDP. UPDATE with a new offer arrives before any answer. The UAS returns 491.
Offer/answer allows one outstanding offer. The INVITE offer has not been answered.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Analytics Amazon Connect can attach conversational analytics to an external voice system with a SIPREC connector. The analytics plane is not a second SIP proxy for the customer call.
Sources and go deeper
- RFC 3311 — last checked 2026-10
- RFC 3261 §12 — last checked 2026-10
- RFC 3264 — last checked 2026-10
- RFC 6141 — last checked 2026-10
- RFC 3264 §6 — last checked 2026-10